Debian Bug report logs - #699028
piuparts: allow different mirrors for different releases (for lenny)

version graph

Package: piuparts; Maintainer for piuparts is piuparts developers team <piuparts-devel@lists.alioth.debian.org>; Source for piuparts is src:piuparts.

Reported by: Ivo De Decker <ivo.dedecker@ugent.be>

Date: Sat, 26 Jan 2013 14:51:01 UTC

Severity: normal

Found in version piuparts/0.49

Fixed in version piuparts/0.50

Done: Holger Levsen <holger@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#699028; Package piuparts. (Sat, 26 Jan 2013 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
New Bug report received and forwarded. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Sat, 26 Jan 2013 14:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: submit@bugs.debian.org
Subject: piuparts: allow different mirrors for different releases (for lenny)
Date: Sat, 26 Jan 2013 15:48:20 +0100
package: piuparts
version: 0.49

Hi,

Trying to reproduce lenny -> squeeze -> wheezy upgrade issues is difficult
with piuparts, because the mirrors for squeeze and wheezy don't work for lenny
(only archive.debian.org works there).

It would be nice to be able to specify different mirrors (or entire
sources.list files) for different releases. That way, the lenny packages could
be downloaded from archive, and the others from a regular mirror.

BTW to help debugging piuparts run with multiple repo's, it could be nice to
include the sources.list in the dump output.

As a temporary workaround for people trying these upgrades, this dirty workaround
can be used:

--- /usr/sbin/piuparts	2013-01-12 12:31:24.000000000 +0100
+++ piuparts.lenny	2013-01-26 15:40:01.305433354 +0100
@@ -910,11 +910,15 @@
     def create_apt_sources(self, distro):
         """Create an /etc/apt/sources.list with a given distro."""
         lines = []
-        for mirror, components in settings.debian_mirrors:
-            lines.append("deb %s %s %s\n" %
-                         (mirror, distro, " ".join(components)))
+        if distro == "lenny":
+            lines.append("deb http://archive.debian.org/debian lenny main\n")
+        else:
+            for mirror, components in settings.debian_mirrors:
+                lines.append("deb %s %s %s\n" %
+                             (mirror, distro, " ".join(components)))
         for repo in settings.extra_repos:
             lines.append(repo + "\n")
+        dump("\n"+"".join(lines)+"\n")
         create_file(self.relative("etc/apt/sources.list"),
                     "".join(lines))
 



Cheers,

Ivo




Information forwarded to debian-bugs-dist@lists.debian.org, piuparts developers team <piuparts-devel@lists.alioth.debian.org>:
Bug#699028; Package piuparts. (Sat, 26 Jan 2013 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to piuparts developers team <piuparts-devel@lists.alioth.debian.org>. (Sat, 26 Jan 2013 15:21:06 GMT) Full text and rfc822 format available.

Message #10 received at 699028@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Ivo De Decker <ivo.dedecker@ugent.be>, 699028@bugs.debian.org
Subject: Re: [Piuparts-devel] Bug#699028: piuparts: allow different mirrors for different releases (for lenny)
Date: Sat, 26 Jan 2013 16:17:28 +0100
On 2013-01-26 15:48, Ivo De Decker wrote:
> Trying to reproduce lenny -> squeeze -> wheezy upgrade issues is difficult
> with piuparts, because the mirrors for squeeze and wheezy don't work for lenny
> (only archive.debian.org works there).

I know, I'm running them myself :-) And I need several hacks to get
lenny working ...

Although your hack looks like something that could be generalized to
something that can be shipped ... although ideally there should be some
configuration file that maps distributions to URLs ... and you may need
more than one URL for a certain codename (e.g. squeeze security).

Andreas



Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. (Fri, 15 Mar 2013 23:06:12 GMT) Full text and rfc822 format available.

Notification sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Bug acknowledged by developer. (Fri, 15 Mar 2013 23:06:12 GMT) Full text and rfc822 format available.

Message #15 received at 699028-close@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@debian.org>
To: 699028-close@bugs.debian.org
Subject: Bug#699028: fixed in piuparts 0.50
Date: Fri, 15 Mar 2013 23:03:22 +0000
Source: piuparts
Source-Version: 0.50

We believe that the bug you reported is fixed in the latest version of
piuparts, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699028@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Levsen <holger@debian.org> (supplier of updated piuparts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 15 Mar 2013 15:36:12 -0700
Source: piuparts
Binary: piuparts piuparts-master piuparts-slave piuparts-common
Architecture: source all
Version: 0.50
Distribution: unstable
Urgency: low
Maintainer: piuparts developers team <piuparts-devel@lists.alioth.debian.org>
Changed-By: Holger Levsen <holger@debian.org>
Description: 
 piuparts   - .deb package installation, upgrading, and removal testing tool
 piuparts-common - common piuparts components
 piuparts-master - piuparts master components
 piuparts-slave - piuparts slave components
Closes: 657799 687995 699028
Changes: 
 piuparts (0.50) unstable; urgency=low
 .
   [ Andreas Beckmann ]
   * piuparts.py:
     - Add to ignored_files:
       + /var/lib/dpkg/arch
       + /usr/lib/python2.[67]/dist-packages/python-support.pth
         broken symlinks caused by python-support (see #635493 and #385775,
         thanks David Steele)
     - Call dpkg-deb with --nocheck to allow bad version numbers.
     - Pass unqualified package names to apt-cache show for lenny support.
     - Support plain URLs or local paths as --testdebs-repo argument and
       prepend/append "deb", "file://", and "./" as needed.
     - Improve the "dirname part contains a symlink" test and report
       overwritten files owned by other packages as failures.
     - Add --proxy=URL option.
     - piuparts.deb: Add Depends: piuparts-common for using distros.conf and
       piupartslib.
     - Use distros.conf to generate mirror configuration. This enables more
       complex scenarios involving partial distributions and dist-upgrades.
     - Use apt-get -t <target-release> if set in distros.conf.
   * piuparts.conf:
     - New global settings:
       + proxy
       + slave-directory
       + known-problem-directory (for known_problem definitions)
       + backup-directory (for the master script prepare_backup)
       + PYTHONPATH (to find the python modules in non-default path setups)
       + slave-load-max
     - New per-section settings:
       + depends-sections
       + basetgz-directory
     - Obsolete settings: upgrade-test-chroot-tgz.
     - Setting tmpdir is now mandatory for master/slave operation.
   * distros.conf:
     - New configuration file to describe full distributions (e.g.  sid,
       squeeze) and partial distributions (e.g. squeeze/security,
       squeeze-backports, experimental) along with their dependencies (e.g.
       base distribution) and non-default mirrors.  (Closes: #699028)
     - Allows setting a target-release (for apt-get -t ...).  (Closes: #687995)
     - Shipped in package piuparts-common.
   * piupartslib/conf.py:
     - Add methods: get_distros(), get_start_distro().
     - Add class DistroConfig for reading distros.conf.
   * piupartslib/packagesdb.py:
     - Add Package.waiting_count() and friends, populated in calc_rrdep_count.
     - Optimize reserve() and skip unavailable candidates.
     - Add method: set_dependency_databases().
     - Lookup missing packages, states, ... in the dependency_databases.
   * piuparts-master.py:
     - Sort packages to be tested by importance, i.e. descending waiting_count.
     - Use piuparts.conf global proxy setting as http_proxy.
     - Use distros.conf to compute URLs.
     - Load depends-sections for package lookup in partial distros.
   * piuparts-slave.py:
     - Tarball recreation can be disabled by setting max-tgz-age to 0.
     - Relax package existence checks to allow distupgrading to backports.
     - Fix SIGHUP handling while recycling.
     - Flush and unreserve all sections on interrupt.
     - Add support for running piuparts under /usr/bin/timeout.
     - Check system load frequently and enter sleep mode if threshold
       (piuparts.conf global setting slave-load-max) is exceeded. Operation
       will be resumed after load drops below 'slave-load-max - 1.0'. Disabled
       by default.
     - Use piuparts.conf global proxy setting as http_proxy and pass it to
       piuparts via --proxy.
     - Use distros.conf to compute URLs.
     - Use the upgrade-test-distros setting to select between install/purge
       test (if unset) and dist-upgrade test (if there are at least 2 distros).
       Drop support for running both tests for a section.
   * piuparts-analyze.py:
     - Add support for magic "$DISTRO/None" versions.
   * piuparts-report.py:
     - Call r.dev_off() after generating a plot.  (Closes: #657799)
     - Use piuparts.conf global proxy setting as http_proxy.
     - Use distros.conf to compute URLs.
     - Generate/prepend/append a default description.
     - Load depends-sections for package lookup in partial distros.
   * Makefile:
     - Add DESTDIR support.
     - Overhaul. Add dependencies between build and install targets.
     - Add support for placeholder substitution in scripts and config.
     - Perform syntax check on *.py before installation.
   * debian/rules: Set 'prefix' and 'DESTDIR' for build and install.
   * lib/read_config.sh: Factored out the piuparts.conf reading function that
     is used by all master/slave shell scripts. Shipped in piuparts.common.
     - Add support for RFC822 line continuation (wrap + indent) and comments.
   * master-bin/slave-bin: Switch to sourcing read_config.sh.
   * conf/crontab*: Substitute @sharedir@ at build time.
   * known_problems: Install to @sharedir@/piuparts/known_problems/.
   * Replace all remaining references to $HOME/bin and ~/bin with @sharedir@.
   * prepare_backup:
     - Get paths from piuparts.conf.
     - Prepare a copy of submissions.txt, too.
   * master-bin/slave-bin: Use PYTHONPATH from piuparts.conf.
   * piuparts-slave.deb:
     - Use /var/cache/piuparts/tmp as tmpdir.
     - Use /var/cache/piuparts/basetgz as basetgz-directory.
     - Populate ~piupartss/.ssh/known_hosts with localhost's hostkey.
   * slave_{run,join}: Rename the screen session to "piuparts_slave_screen".
   * slave_cleanup: Use pgrep to find running piuparts-slave processes.
   * slave_{run,join}: Use screen -ls to find running screen sessions.
   * slave_join: Use 'script /dev/null' hack if needed to get a writable tty.
     This avoids running the piuparts-slave screen session as root.
   * slave_run: Get paths etc. from piuparts.conf.
   * slave_run: Ensure the tmpdir exists, this could be on tmpfs.
   * detect_leftover_processes: Move statefile to slave-directory.
   * detect_stale_mounts: Merge into detect_tmp_cruft.
   * detect_tmp_cruft: Move to slave-bin and run from slave crontab.
   * detect_slave_problems:
     - Move to slave-bin and run from slave crontab.
     - Use idle-sleep setting from piuparts.conf.
     - Move statefile to slave-directory.
   * master: Get rid of the monitor-slave directory.
   * pre_install_exceptions: Handle bootcd-ia64 installation in squeeze.
   * post_distupgrade_exceptions: Handle libdb4.8 removal in wheezy.
   * pre_remove_50_find_bad_permissions: Add some exceptions.
   * pre_remove_50_find_missing_copyright: Add some exceptions.
   * post_{setup,distupgrade}_experimental: New custom scripts to improve
     support for experimental.
   * Add several exceptions for lenny and lenny2squeeze tests.
   * New script to enable Debug::pkgPackageManager during upgrades:
     scripts-debug-packagemanager/pre_distupgrade_debug_packagemanager
   * New known problem: Packages that need to be rebuild or updated for newer
     tools, e.g. due to obsolete install-info or tex-common usage.
   * New bug template: unhandled_symlink_to_directory_conversion.
   * New bug template: installs_over_existing_symlink.
 .
   [ Holger Levsen ]
   * Mention http://piuparts.debian.org in README.txt prominently.
   * Mention github clone in htdocs/index.tpl.
 .
   [David Steele]
   * Replace the Tango icon symlinks with copies.
   * Make the Tango weather icons required for master.
Checksums-Sha1: 
 1312fdbeceecba4f1b8654a5cec10487ca895ac9 1829 piuparts_0.50.dsc
 0fa2b457042240b45fde2de7479c12647f25f491 173233 piuparts_0.50.tar.gz
 c2d65ae38bfc0e32673984234d4ab1e055f37aa4 97966 piuparts_0.50_all.deb
 8dd38c16acf307471c45ffd9079bf3d9d2cdbb33 94212 piuparts-master_0.50_all.deb
 a997f1b9c47146dcd6dd69a17c9b3adfac180f65 40288 piuparts-slave_0.50_all.deb
 73d1422ec47b7f8f908242cb6b64bec14e4243cb 41376 piuparts-common_0.50_all.deb
Checksums-Sha256: 
 78cc444c0b3f32e08729660187ed03da333bc428e460d2c02c66341ae4822be3 1829 piuparts_0.50.dsc
 17065c81446f9df1f11fbf9819372241c94493b4d5146847c436f0d4cd6c276a 173233 piuparts_0.50.tar.gz
 37f3ee67a3ceec0df4ca45e908f5b82cfb6ffad41ca389a34faaaadaf05a7012 97966 piuparts_0.50_all.deb
 0e348ffa432fc3cb0fd9cbfbd8e8b5f41af9cdaf4720468defcca4b357fd84fb 94212 piuparts-master_0.50_all.deb
 1b68a99a34d9517b5763f34539f0f7b06f913f501061b1f13986fa81645166eb 40288 piuparts-slave_0.50_all.deb
 1b4955f5c3ff4860cdf41e822bceeb2ea4e2ba39f8c08b119a51e1d1daec679d 41376 piuparts-common_0.50_all.deb
Files: 
 36e73efd4d3a82144c0081963370cf5e 1829 devel extra piuparts_0.50.dsc
 b03b5241e52948db949799adf4b9538c 173233 devel extra piuparts_0.50.tar.gz
 989df10e46d69319ffef74631c12771e 97966 devel extra piuparts_0.50_all.deb
 0b941ff9555ff58a0a0379db6e7d5be4 94212 devel extra piuparts-master_0.50_all.deb
 864d63b76c0d51d758d448ac7f3255b9 40288 devel extra piuparts-slave_0.50_all.deb
 f391ab64cfc95e759ae2f4b4b6d645ea 41376 devel extra piuparts-common_0.50_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUUOmJwkauFYGmqocAQi+WQ//aS5u3r3yRml5Y8GQ4kXIQxb9mHZ6sVZ8
DnSP0EceQMwOVoNtK1YykVgi1NNV3p3WiZSXvbs0LoeytVEGJRVIYQdPx/ExWvL7
0/eN1ma7TL2IFaksG/poOy65EFunfpiMtafpycedyrLwTPG/dHucpcZ2buNZ2JLh
MNJT/BKMzfhRXjMzv7SmgKF5yvnW33qX3J1Vtc6t/uho3Y0p6jP24mRaghp0g3Cn
dkEdQQofQhlbEskMqLfQiSkcp2Be1stxOg0xQou/wpXpWXo7iLgZhu4ott2/QknM
c1iCYT6TvNvxLO9jZOmp0Env28D8I9/tcJzkbLopcfiLNHTEHoIRLs2aMSmYVnVn
nyLGp6QBlnnZyoyv47wrNuMkqAWoH2wQoWtmHeKFyNUDbxWlY5/TCfictl5ZI9nV
4g1goGUEz/EAx3hdQl3i8T11q9gV8nsEjWhov3Qmmi8MXBIxEZ1YqdU7E7V1jERx
9IDMvrk+Z3Cgqbc5JrVM752gjziQx5nDxbN/o9GLMboklRFpD6rGmY02bWPOCq3j
8Qs4a5HAIOqWozS+KbA7JRqhfYpW67JQG3Oh1zSUP1cbNwqiCVYRgvFjvsrk0iJq
KSSSohyxK1PcfiNAib92yepxyjcQYZMCrNsM+VE/gn+/KPUF/SG/muvqgY0OJZSC
K7RbQKj+b5o=
=H/5O
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Apr 2013 07:26:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:56:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.